8️⃣Card Authorisations

circle-info

This step assumes you have successfully issued a card using Card Issuancestep of this guide

Now that you have created a customer account and issued a first card, you are able to simulate card authorisations and process simulated transactions. To do so, you need to use /simulator/cards/{cardId}/authorisation POST request.

Initiate card authorisation

post
/simulator/cards/{cardId}/authorisation

Simulates card authorisation

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
cardIdstring Β· uuidRequired

Unique card ID

Header parameters
SignaturestringRequired

HTTP message signature

Signature-InputstringRequired

HTTP message signature input

Idempotency-Keystring Β· uuidRequired

Idempotency key (UUID)

Content-DigeststringRequired

Content digest

Body
amountstring Β· decimalRequired

Amount to be authorised

Example: 10.0
currencystringRequired

Authorisation currency (ISO-4217)

Example: EUR
capturebooleanRequired

Whether to capture the authorisation immediately

Default: true
Responses
post
/simulator/cards/{cardId}/authorisation

Let's say we want to create an authorisation for €20 and automatically capture the funds:

If everything was successful, you will receive a response with status 201 (Created) which looks similar to the following:

As automatic capture happens asynchronously, you can verify it has been successfully captured and a new transaction created and processed by first making a GET request to /authorisations/{authorisationId}.

Retrieve authorisation details

get
/authorisations/{authorisationId}

Retrieves authorisation's details

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
authorisationIdstring Β· uuidRequired

Unique authorisation ID

Header parameters
SignaturestringRequired

HTTP message signature

Signature-InputstringRequired

HTTP message signature input

Responses
chevron-right
200

Successful operation

application/json
idstring Β· uuidRequired

Unique authorisation ID

accountIdstring Β· uuidRequired

Unique account ID

cardIdstring Β· uuidOptional

Unique card ID

statusstring Β· enumRequired

Authorisation status

Possible values:
amountstring Β· decimalRequired

Total authorised amount expressed as a decimal number

Example: 10.0
currencystringRequired

Currency of the account (ISO-4217)

Example: EUR
merchantAmountstring Β· decimalRequired

Total authorised amount in origin (merchant) currency expressed as a decimal number

Example: 10.0
merchantCurrencystringRequired

Origin currency of the merchant (ISO-4217)

Example: EUR
exchangeRatestring Β· decimalRequired

Exchange rate for authorisation if merchant currency is different to account currency expressed as a decimal number. If merchant currency is the same as account currency, exchange rate is 1.0

Example: 10.0
createdAtstring Β· date-timeRequired

Date this authorisation was created (ISO-8601)

updatedAtstring Β· date-timeRequired

Date this authorisation was updated (ISO-8601)

get
/authorisations/{authorisationId}

And then making a GET request to /transactions/{transactionId} with the same ID.

Retrieve transaction details

get
/transactions/{transactionId}

Retrieves transaction's details

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
transactionIdstring Β· uuidRequired

Unique transaction ID

Header parameters
SignaturestringRequired

HTTP message signature

Signature-InputstringRequired

HTTP message signature input

Responses
chevron-right
200

Successful operation

application/json
idstring Β· uuidRequired

Unique transaction ID

accountIdstring Β· uuidRequired

Unique account ID

cardIdstring Β· uuidOptional

Unique card ID

authorisationIdstring Β· uuidOptional

Unique authorisation ID

statusstring Β· enumRequired

Transaction status

Possible values:
directionstring Β· enumRequired

Direction of the transaction

Possible values:
amountstring Β· decimalRequired

Transaction amount expressed as a decimal number

Example: 10.0
currencystringRequired

Currency of the transaction (ISO-4217)

Example: EUR
merchantAmountstring Β· decimalRequired

Total authorised amount in origin (merchant) currency expressed as a decimal number

Example: 10.0
merchantCurrencystringRequired

Origin currency of the merchant (ISO-4217)

Example: EUR
exchangeRatestring Β· decimalRequired

Exchange rate for authorisation if merchant currency is different to account currency expressed as a decimal number. If merchant currency is the same as account currency, exchange rate is 1.0

Example: 10.0
tokenAmountstring Β· decimalRequired

Token amount expressed as a decimal number

Example: 10.0
tokenstringRequired

Token contract address

Example: eip155:1/erc20:0x6b175474e89094c44da98b954eedeac495271d0f
createdAtstring Β· date-timeRequired

Date this transaction was created (ISO-8601)

updatedAtstring Β· date-timeRequired

Date this transaction was updated (ISO-8601)

get
/transactions/{transactionId}

Last updated